<?php
// get the theme options starts
global $options; 
$options = get_option('troller_theme_options');
// get the theme options ends
?>

<div class="decoration"></div>

<!-- footer section starts -->
<p class="copyright center-text"> <?php echo $options['copyrightText']; ?></p>
<!-- footer section ends -->

</div>

<div class="sidebar">

	<div class="sidebar-hide-scroll" id="scrollMe">
    
        <div class="sidebar-header">
            <h1 class="sidebar-title">
			<?php if(is_single() || is_archive()){ 				
				echo 'Blog';			
			}else if(is_front_page()) {				
				echo the_title();
			} else {
				echo wp_title('','','');
			};
			?></h1>
        </div>
        
        <!-- main menu starts -->
        <p class="sidebar-divider no-top"><?php echo $options['mainMenuTitle']; ?></p>
        
        <ul class="mainMenuWrap mainMenu">
            <?php mainWpNav(); ?>
        </ul>
        <!-- main menu ends -->
        
        <?php if($options['socialMenu'] == 'true'){ ?>
        <!-- social menu starts -->
        <p class="sidebar-divider"><?php echo $options['socialMenuTitle']; ?></p>
        
        <ul class="mainMenuWrap socialMenu">
            <?php socialWpNav(); ?>
        </ul>
        <!-- social menu ends -->
        <?php }; ?>
        
        <?php if($options['contactMenu'] == 'true'){ ?>
        <!-- contact menu starts -->
        <p class="sidebar-divider"><?php echo $options['contactMenuTitle']; ?></p>
        
        <ul class="mainMenuWrap contactMenu">
            <?php contactWpNav(); ?>
        </ul>
        <!-- contact menu ends -->
        <?php }; ?>
        
        <p class="sidebar-divider"><?php echo $options['sidebarInfo']; ?></p>
    
    </div>
</div>

<?php wp_footer(); ?>
</body>
</html>