<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Functions Start                                                               */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



include (TEMPLATEPATH . '/functions/navigation.php');
include (TEMPLATEPATH . '/functions/post-type.php');
include (TEMPLATEPATH . '/functions/comments.php');
include (TEMPLATEPATH . '/functions/page-numbers.php');
include (TEMPLATEPATH . '/functions/addscripts.php');
include (TEMPLATEPATH . '/functions/metaboxes.php');
include (TEMPLATEPATH . '/functions/sidebars.php');
include (TEMPLATEPATH . '/functions/theme-options/theme-options.php');


if ( is_admin() && isset($_GET['activated'] ) && $pagenow =="themes.php" ){
	wp_redirect( 'admin.php?page=theme-options.php' );
};


// post thumbanils settings start
if ( function_exists( 'add_theme_support' ) ) {
    add_theme_support( 'post-thumbnails' );
};

if ( function_exists( 'add_image_size' ) ) {
	add_image_size( 'slider-thumb', 250, 155, true );
	add_image_size( 'blog-thumb-small', 800, 420, true );
	add_image_size( 'gallery-three-thumb', 150, 150, true );
	add_image_size( 'portfolio-one-thumb', 800, 420, true );
};
// post thumbanils settings end


// enable menus starts
add_theme_support( 'menus' );
register_nav_menu( 'mainmenu', 'Main Menu' );
register_nav_menu( 'socialmenu', 'Social Menu' );
register_nav_menu( 'contactmenu', 'Contact Menu' );
// enable menus ends


// enable automatic feed starts
add_theme_support( 'automatic-feed-links' );
// enable automatic feed ends


// set content width starts
if ( ! isset( $content_width ) ) $content_width = 920;
// set content width ends


// limit the search to blog posts (regular posts) starts
function SearchFilter($query) {
	if ($query->is_search) {
		$query->set('post_type', 'post');
	}
	return $query;
}

add_filter('pre_get_posts', 'SearchFilter');
// limit the search to blog posts (regular posts) ends



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Functions End                                                                 */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>