<?php get_header(); ?>

<div class="decoration"></div>

<!-- posts start -->
<div class="container postsContainer">
	<?php
    $args = array( '', 'paged' => $paged );
	$blog_loop = new wp_query( $args );
	if ( $blog_loop->have_posts() ) : while ( $blog_loop->have_posts() ) : $blog_loop->the_post(); ?>
        
        
        <div <?php post_class("blog-post smallPostWrap");?>>
        <h3 class="blog-title"><?php the_title(); ?></h3>
        <?php if ( has_post_thumbnail()) { ?>       
            <!-- small post thumbnail wrap starts -->
            <div class="blogPostThumbWrap">
                <a href="<?php the_permalink()?>" class="blogPostThumbLink">
                    <?php the_post_thumbnail('blog-thumb-small', array('title' => "", 'class' => 'responsive-background responsive-image')); ?>
                </a>
            </div>
            <!-- small post thumbnail wrap ends -->
            <?php }; ?>
        <p class="responsive-image-caption"><?php the_title(); ?></p>
        
        <div class="blog-text">
        <!-- post content starts -->
		<?php if ($options['blogShowExcerpt'] == 'true' && get_the_excerpt() != ''){ 
                  the_excerpt();
              } else {   
                  global $more; $more = 0;
                  the_content('',true,'');
              }; ?>
        <!-- post content ends -->
        </div>
        
        <p class="blogPostDetails">
        <span class="posted-cat"><?php the_category(', ','single',''); ?> </span>
        <a href="<?php the_permalink(); ?>" class="posted-tag"><?php comments_number( '0 comments', '1 comment', '% comments' ); ?></a>
        <a href="<?php the_permalink(); ?>" class="posted-more">More</a>
        <span class="posted-by"><?php the_author(); ?></span>
        <span class="posted-on"><?php the_time('d, M, Y'); ?></span>
        </p>
        
        <div class="clear"></div>
    </div>

	<div class="decoration postDeco"></div>
    
    <?php endwhile; else: ?>
    
        <!-- no posts were found starts -->
        <p><?php _e('Sorry, no posts were found.','troller')?></p>
        <!-- no posts were found ends -->
    
    <?php endif; ?>
    <?php wp_reset_query();?>
    
    <!-- page numbers start -->
    <?php custom_pagination($blog_loop->max_num_pages, $options['pageNumbersRange']); ?>
    <!-- page numbers end -->
    
    <div class="footerWidgetsWrap">
    <?php if ( function_exists('dynamic_sidebar') && dynamic_sidebar(1)) : else : ?>
        <p><?php _e('Add a few widgets...', 'pixek');?></p>
    <?php endif; ?>
    </div>
     
</div>
<!-- posts end -->

<?php get_footer(); ?>