<?php
/**
 * Template Name: Gallery Page
 */
?>

<?php get_header(); ?>

<div class="decoration"></div>

<div class="container">

	<?php while ( have_posts() ) : the_post(); ?>
        <!-- page content starts -->
        <?php the_content(); ?>
        <!-- page content ends -->
    <?php endwhile; wp_reset_query();?>

    <ul id="gallery" class="gallery">
    
		<?php
        $args = array( 'post_type' => 'portfolio', 'portfolios' => get_post_meta( $post->ID, 'page_taxonomy', true ), 'showposts' => $options['portfolioItemsNumber'], 'paged' => $paged );
        $gallery_loop = new wp_query( $args );
        if ( $gallery_loop->have_posts() ) : while ( $gallery_loop->have_posts() ) : $gallery_loop->the_post(); ?>
            
            <li>
                <?php $gallerythumb = ''; $galleryimage = ''; $gallerythumb = wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ),'gallery-three-thumb'); $galleryimage = wp_get_attachment_image_src(get_post_thumbnail_id( $post->ID ),'full');?>
                <a href="<?php echo $galleryimage[0]; ?>">
                <img src="<?php echo $gallerythumb[0]; ?>"  alt="<?php the_title(); ?>" />
                </a>
            </li>        
            
        <?php endwhile; endif; wp_reset_query(); ?>
        
    </ul>
</div>

<!-- page numbers start -->
<?php custom_pagination($gallery_loop->max_num_pages, $options['pageNumbersRange']); ?>
<!-- page numbers end -->

<?php get_footer(); ?>